[mythtv-users] fixes/32 possible to use system exiv2 and libdvdnav?

Anthony Joseph Messina amessina at messinet.com
Sat Feb 26 02:41:26 UTC 2022


I like to build MythTV locally, mostly as a way to keep up with the changes 
and improvements.  I noticed that with fixes/31, I was able to compile using 
system exiv2, but the internal exiv2 is now required due to:

    if $(pkg-config --atleast-version="0.27.99" exiv2)...

In Fedora 35, exiv2-0.27.5 is available which probably doesn't have the C++ 
fixes MythTV is looking for (until 1.0.0 is released).

However, it made me wonder, is someone able to describe why MythTV still needs 
the internal copy of the old version of libdvdnav?

-- 
Anthony - https://messinet.com






More information about the mythtv-users mailing list